{ config, pkgs, ... }:

{
  services.mx-puppet-discord = {
    enable = true;

    serviceDependencies = [
      "matrix-synapse.service"
      "postgresql.service"
    ];

    settings = {
      bridge = {
        bindAddress = "localhost";
        domain = "feal.no";
        homeserverUrl = "https://matrix.feal.no";
        # homeserverUrl = "http://127.0.1.2:8008";

        port = 8434;
        enableGroupSync = true;
      };

      database.connString = "postgresql://mx-puppet-discord@localhost/mx-puppet-discord?sslmode=disable";

      provisioning.whitelist = [ "@felixalb:feal\\.no" ];
      relay.whitelist = [ ".*" ];
      selfService.whitelist = [ "@felixalb:feal\\.no" ];

    };
  };

  services.matrix-synapse.settings.app_service_config_files = [ /var/lib/mx-puppet-discord/discord-registration.yaml ];
}
